const Router = require('express').Router;
const folderBased = require('./src/generators/folder-based.js');
const mixed = require('./src/generators/mixed.js');
const objectBased = require('./src/generators/object-based.js');

module.exports = function routeGenerator(src, routeGen) {
    let router = Router();
    routeGen(src).forEach((urlAction) => {
        router[urlAction.method](urlAction.url, urlAction.action);
    });
    return router;
};

module.exports.folderBased = folderBased;
module.exports.mixed = mixed;
module.exports.objectBased = objectBased;
