const fs = require('fs');
const path = require('path');
const generateAction = require('../utils/generate-action.js');
const scanFolder = require('../utils/scan-folder.js');
const getUrl = require('../utils/get-url.js');

module.exports = function(base) {
    const paths = scanFolder(base);
    let results = paths.map((src) => {
        const fullPath = [base].concat(src).join('/');
        const url = getUrl(base, fullPath);
        let actions = generateAction(fullPath).map((obj) => {
            obj.url = url;
            return obj;
        });
        return actions;
    });
    results = results.reduce((prev, curr) => prev.concat(curr));
    return results;
};
