const fs = require('fs');
const path = require('path');

const changeActions = require('../utils/change-actions.js');
const generateAction = require('../utils/generate-action.js');
const getUrl = require('../utils/get-url.js');
const parseObject = require('../utils/parse-object.js');
const scanFolder = require('../utils/scan-folder.js');

module.exports = function(base) {
    const paths = scanFolder(base);

    let results = paths.map((src) => {
        const fullPath = [base].concat(src).join('/');
        let object = require(fullPath);
        let actions = changeActions(parseObject(object)).map((obj)=> {
            const folder = getUrl(base, fullPath);
            if (obj.route.length === 0) { // hack
                obj.url = folder;
            } else {
                const object = obj.route.join('/');
                obj.url = `${folder}/${object}`;
            }
            delete obj.route;
            return obj;
        });
        return actions;
    });
    results = results.reduce((prev, curr) => prev.concat(curr));
    return results;

};
