const path = require('path');

module.exports = function (basePath, fullPath) {
    const relativePath = path.relative(basePath, fullPath);
    const pathInfo = path.parse(relativePath);
    const dir = pathInfo.dir;
    const name = pathInfo.name === 'index'? '' : pathInfo.name;
    const pathName = path.join(dir, name);
    const fixed = pathName.replace(/\\/gi, '/').replace(/\+/gi, ':');;

    let result = '';

    if (pathName === '.') {
        result = '/';
    } else {
        result = `/${fixed}`;
    }

    return result;
};
