module.exports = function parse(obj) {
    if (typeof obj === 'function') {
        return [{
            route: [],
            action: obj
        }];
    } else if(typeof obj === 'object') {
        let results = [];
        Object.keys(obj).forEach((key) => {
            let subResults = parse(obj[key]).map((value) => {
                return {
                    route: [key].concat(value.route),
                    action: value.action
                };
            });
            results = results.concat(subResults);
        });
        return results;
    } else {
        return [];
    }
};
