const fs = require('fs');
const path = require('path');

module.exports = function (src) {
    return scanner(src).map((ppath) => {
        return path.relative(src, ppath).split(path.sep);
    });
};

function scanner(src) {
    let routes = [];

    if (!fs.statSync(src).isDirectory()) {
        return [src];
    }

    const elements = fs.readdirSync(src);

    elements.forEach((element) => {

        const fullPath = path.join(src, element);

        routes = routes.concat(scanner(fullPath));
    });

    return routes;
};
