const expect = require('chai').expect;

module.exports = function match(expression, expected) {
    const expressionType = typeof expression;
    const expectedType = typeof expected;
    if (expectedType === 'string') {
        expect(expression).to.be.a(expected);
        return;
    }

    expect(expressionType).to.equal('object');
    expect(expectedType).to.equal('object');
    if (Array.isArray(expected)) {
        if (expressionType !== 'array') {
            expect(expressionType).to.equal('object');
        }
        expect(expected).to.have.length.of(1);
        Object.keys(expression).forEach((key) => {
            match(expression[key], expected[0]);
        });
        return;
    }

    expect(expectedType).to.equal('object');
    expect(expressionType).to.equal('object');
    Object.keys(expected).forEach((key) => {
        expect(expression[key]).to.exist;
        match(expression[key], expected[key]);
    });
};
