/* global describe, it */

const expect = require('chai').expect;
const path = require('path');
const generateAction = require('../../src/utils/generate-action.js');
const match = require('../helpers/match.js');

const simpleAction = path.join(__dirname, '..', 'test-data', 'src3', 'simple.js');
const complexAction = path.join(__dirname, '..', 'test-data', 'src3', 'index.js');

describe('generate-actions', function() {
    it('should generate action from simple file', function() {
        const actions = generateAction(simpleAction);
        expect(actions).to.be.a('array');
        expect(actions).to.have.length.of(1);
        match(actions, [{ method: 'string', action: 'function' }]);
    });

    it('should generate actions from complex file', function() {
        const actions = generateAction(complexAction);
        expect(actions).to.be.a('array');
        expect(actions).to.have.length.of(2);
        match(actions, [{ method: 'string', action: 'function' }]);
    });
});
