/* global describe, it */

const expect = require('chai').expect;
const getUrl = require('../../src/utils/get-url.js');
const path = require('path');

const basePath = path.join(__dirname, '..', 'test-data', 'src');
const samplePath1 = path.join(basePath, 'patient.js');
const samplePath2 = path.join(basePath, 'patient', 'helloWorld.js');
const samplePath3 = path.join(basePath, 'index.js');
const samplePath4 = path.join(basePath, 'patient', 'index.js');
const samplePath5 = path.join(basePath, 'patient', 'helloWorld', 'another.js');

describe('get-url', function() {
    it('should generate correct url', function() {
        expect(getUrl(basePath, basePath)).to.equal('/');
        expect(getUrl(basePath, samplePath1)).to.equal('/patient');
        expect(getUrl(basePath, samplePath2)).to.equal('/patient/helloWorld');
        expect(getUrl(basePath, samplePath3)).to.equal('/');
        expect(getUrl(basePath, samplePath4)).to.equal('/patient');
        expect(getUrl(basePath, samplePath5)).to.equal('/patient/helloWorld/another');
    });
});
