/* global describe, it */

const expect = require('chai').expect;
const parseObject = require('../../src/utils/parse-object.js');

describe('parse-object', function () {
    it('should work', function (done) {
        expect(parseObject({
            Home: {
                get: func
            },
            Assessments: {
                labs: {
                    request: func,
                    process: func,
                    get: func
                }
            }
        })).to.deep.equal(
            [
                { route: ['Home', 'get'], action: func },
                { route: ['Assessments', 'labs', 'request'], action: func },
                { route: ['Assessments', 'labs', 'process'], action: func },
                { route: ['Assessments', 'labs', 'get'], action: func }
            ]
        );
        done();
    });
});

function func() {}
