/* global describe, it */

const expect = require('chai').expect;
const path = require('path');
const scanFolder = require('../../src/utils/scan-folder.js');
const match = require('../helpers/match.js');

const src = path.join(__dirname, '../test-data/src-params');

describe('scan-folder', function() {
    it('should work', function() {
        const results = scanFolder(src);
        expect(results).to.be.an('array');
        expect(results).to.have.length.of(2);
        match(results, [['string']]);
        expect(results).to.deep.equal([
            ['patient', '+id', 'details.js'],
            ['patient', '+id', 'index.js']
        ]);
    });
});
